> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deepdub.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Additional Source

> Attach an additional source asset (subtitles, audio hints, etc.) to an existing job. The new source is ingested asynchronously.



## OpenAPI

````yaml /managed-dub.openapi.json post /dubbing/job/{request_id}/sources
openapi: 3.1.0
info:
  title: Deepdub Managed Dubbing API
  description: >-
    Public REST API for submitting videos for AI-assisted dubbing, tracking job
    status, and managing deliverables.
  version: 1.0.0
servers:
  - url: https://dubbing.deepdub.app
security:
  - ApiKeyAuth: []
paths:
  /dubbing/job/{request_id}/sources:
    post:
      summary: Add Additional Source
      description: >-
        Attach an additional source asset (subtitles, audio hints, etc.) to an
        existing job. The new source is ingested asynchronously.
      operationId: add_source_handler_dubbing_job__request_id__sources_post
      parameters:
        - required: true
          schema:
            type: string
            title: Request Id
          name: request_id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DubbingSubmissionAdditionalSource'
            example:
              source: CC_SDH
              assetPath: s3://your-bucket/input/episode-01.captions.dfxp
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DubbingSubmissionAdditionalSource:
      properties:
        source:
          allOf:
            - $ref: '#/components/schemas/AdditionalSourcesEnum'
          description: >-
            Type of source asset (e.g., 'AUDIO_HINTS', 'CC_SDH', 'MISC',
            'DFXP_SUBTITLES')
        assetPath:
          type: string
          title: Assetpath
          description: >-
            S3 path to the asset file (must start with 's3://', e.g.,
            's3://bucket/asset.mp4')
      type: object
      required:
        - source
        - assetPath
      title: DubbingSubmissionAdditionalSource
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AdditionalSourcesEnum:
      type: string
      enum:
        - AUDIO_HINTS
        - CC_SDH
        - MISC
        - DFXP_SUBTITLES
      title: AdditionalSourcesEnum
      description: >-
        Type of additional source asset that can be attached to a dubbing job as
        input reference material.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key issued by Deepdub. Contact your account manager to obtain one.

````